<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:impl="urn:postecom" xmlns:intf="urn:postecom"
                  xmlns:tns1="http://bean.service.postecom.it" xmlns:tns2="http://exception.gservices.postecom.it"
                  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/"
                  xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="urn:postecom">
    <!--
   WSDL created by Apache Axis version: 1.4
   Built on Apr 22, 2006 (06:55:48 PDT)
   -->
    <wsdl:types>
        <schema xmlns="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" targetNamespace="urn:postecom">
            <import namespace="http://exception.gservices.postecom.it"/>
            <import namespace="http://bean.service.postecom.it"/>
            <element name="close">
                <complexType>
                    <sequence>
                        <element name="file" type="tns1:FileUploadInfo"/>
                        <element name="md5HashHex" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="closeResponse">
                <complexType/>
            </element>
            <element name="fault" type="tns2:PosteDocException"/>
            <element name="getDescClasseDocumentale">
                <complexType>
                    <sequence>
                        <element name="tipoDoc" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getDescClasseDocumentaleResponse">
                <complexType>
                    <sequence>
                        <element maxOccurs="unbounded" name="getDescClasseDocumentaleReturn" type="tns1:AttrDesc"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getLottoAzienda">
                <complexType>
                    <sequence>
                        <element name="dataCreazione" type="xsd:string"/>
                        <element name="idLottoAzienda" type="xsd:string"/>
                        <element name="tipoDoc" type="xsd:string"/>
                        <element name="nickAzienda" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getLottoAziendaResponse">
                <complexType>
                    <sequence>
                        <element name="getLottoAziendaReturn" type="tns1:Lotto"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getPaginaDocumenti">
                <complexType>
                    <sequence>
                        <element name="pagina" type="xsd:int"/>
                        <element name="numRecPerPage" type="xsd:int"/>
                        <element maxOccurs="unbounded" name="query" type="tns1:Filtro"/>
                        <element name="tipoDoc" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getPaginaDocumentiResponse">
                <complexType>
                    <sequence>
                        <element name="getPaginaDocumentiReturn" type="tns1:Documenti"/>
                    </sequence>
                </complexType>
            </element>
            <complexType name="ArrayOf_xsd_string">
                <sequence>
                    <element maxOccurs="unbounded" minOccurs="0" name="item" type="xsd:string"/>
                </sequence>
            </complexType>
            <complexType name="ArrayOf_tns1_AttrValue">
                <sequence>
                    <element maxOccurs="unbounded" minOccurs="0" name="item" type="tns1:AttrValue"/>
                </sequence>
            </complexType>
            <complexType name="ArrayOf_tns1_InfoDocumento">
                <sequence>
                    <element maxOccurs="unbounded" minOccurs="0" name="item" type="tns1:InfoDocumento"/>
                </sequence>
            </complexType>
            <element name="getDocumentoFirmato">
                <complexType>
                    <sequence>
                        <element name="idLotto" type="xsd:long"/>
                        <element name="idDocumento" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getDocumentoFirmatoResponse">
                <complexType>
                    <sequence>
                        <element name="getDocumentoFirmatoReturn" type="tns1:Documento"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getProfiliUtente">
                <complexType>
                    <sequence>
                        <element name="nickAzienda" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getProfiliUtenteResponse">
                <complexType>
                    <sequence>
                        <element maxOccurs="unbounded" name="getProfiliUtenteReturn" type="tns1:ProfiloUtente"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getUsedStorageByYearForType">
                <complexType>
                    <sequence>
                        <element name="anno" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getUsedStorageByYearForTypeResponse">
                <complexType>
                    <sequence>
                        <element maxOccurs="unbounded" name="getUsedStorageByYearForTypeReturn"
                                 type="tns1:StatoMemoria"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getUsedStorageByYear">
                <complexType>
                    <sequence>
                        <element name="periodo" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getUsedStorageByYearResponse">
                <complexType>
                    <sequence>
                        <element name="getUsedStorageByYearReturn" type="tns1:StatoMemoria"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getFileNotifica">
                <complexType>
                    <sequence>
                        <element name="dataCreazione" type="xsd:string"/>
                        <element name="idLottoAzienda" type="xsd:string"/>
                        <element name="tipoDoc" type="xsd:string"/>
                        <element name="nickAzienda" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getFileNotificaResponse">
                <complexType>
                    <sequence>
                        <element name="getFileNotificaReturn" type="tns1:File"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getPaginaLotti">
                <complexType>
                    <sequence>
                        <element name="pagina" type="xsd:int"/>
                        <element name="numRecPerPage" type="xsd:int"/>
                        <element name="tipoDoc" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getPaginaLottiResponse">
                <complexType>
                    <sequence>
                        <element name="getPaginaLottiReturn" type="tns1:Lotti"/>
                    </sequence>
                </complexType>
            </element>
            <complexType name="ArrayOf_tns1_Lotto">
                <sequence>
                    <element maxOccurs="unbounded" minOccurs="0" name="item" type="tns1:Lotto"/>
                </sequence>
            </complexType>
            <element name="createLotto">
                <complexType>
                    <sequence>
                        <element name="nomeFile" type="xsd:string"/>
                        <element name="uploadBlockSize" type="xsd:int"/>
                        <element name="fileSize" type="xsd:long"/>
                        <element name="chkFile" type="tns1:File"/>
                    </sequence>
                </complexType>
            </element>
            <element name="createLottoResponse">
                <complexType>
                    <sequence>
                        <element name="createLottoReturn" type="tns1:FileUploadInfo"/>
                    </sequence>
                </complexType>
            </element>
            <element name="insertUtente">
                <complexType>
                    <sequence>
                        <element name="idUtente" type="xsd:string"/>
                        <element name="codiceUtente" type="xsd:string"/>
                        <element name="password" type="xsd:string"/>
                        <element name="eMail" type="xsd:string"/>
                        <element name="nome" type="xsd:string"/>
                        <element name="idProfilo" type="xsd:int"/>
                        <element name="stato" type="xsd:short"/>
                        <element name="accessoDoc" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="insertUtenteResponse">
                <complexType/>
            </element>
            <element name="insertUnita">
                <complexType>
                    <sequence>
                        <element name="nickAziendaPadre" type="xsd:string"/>
                        <element name="unita" type="tns1:Unita"/>
                        <element name="admin" type="tns1:AdminUser"/>
                    </sequence>
                </complexType>
            </element>
            <element name="insertUnitaResponse">
                <complexType/>
            </element>
            <element name="getDocumento">
                <complexType>
                    <sequence>
                        <element name="idLotto" type="xsd:long"/>
                        <element name="idDocumento" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getDocumentoResponse">
                <complexType>
                    <sequence>
                        <element name="getDocumentoReturn" type="tns1:Documento"/>
                    </sequence>
                </complexType>
            </element>
            <element name="setUserGrant">
                <complexType>
                    <sequence>
                        <element name="tipoDoc" type="xsd:string"/>
                        <element name="idUtente" type="xsd:string"/>
                        <element name="ruolo" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="setUserGrantResponse">
                <complexType/>
            </element>
            <element name="upload">
                <complexType>
                    <sequence>
                        <element name="file" type="tns1:FileUploadInfo"/>
                        <element name="data" type="xsd:base64Binary"/>
                        <element name="blockId" type="xsd:int"/>
                    </sequence>
                </complexType>
            </element>
            <element name="uploadResponse">
                <complexType/>
            </element>
            <element name="getLotto">
                <complexType>
                    <sequence>
                        <element name="dataCreazione" type="xsd:string"/>
                        <element name="idLottoAzienda" type="xsd:string"/>
                        <element name="tipoDoc" type="xsd:string"/>
                    </sequence>
                </complexType>
            </element>
            <element name="getLottoResponse">
                <complexType>
                    <sequence>
                        <element name="getLottoReturn" type="tns1:Lotto"/>
                    </sequence>
                </complexType>
            </element>
        </schema>
        <schema xmlns="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified"
                targetNamespace="http://bean.service.postecom.it">
            <import namespace="http://exception.gservices.postecom.it"/>
            <import namespace="urn:postecom"/>
            <complexType name="FileUploadInfo">
                <sequence>
                    <element name="nickAzienda" nillable="true" type="xsd:string"/>
                    <element name="tipoDoc" nillable="true" type="xsd:string"/>
                    <element name="dataCreazione" nillable="true" type="xsd:dateTime"/>
                    <element name="idLottoAzienda" nillable="true" type="xsd:string"/>
                    <element name="ext" nillable="true" type="xsd:string"/>
                    <element name="numeroBlocchi" type="xsd:int"/>
                    <element name="blockSize" type="xsd:int"/>
                </sequence>
            </complexType>
            <complexType name="AttrDesc">
                <sequence>
                    <element name="id" nillable="true" type="xsd:string"/>
                    <element name="label" nillable="true" type="xsd:string"/>
                </sequence>
            </complexType>
            <complexType name="Lotto">
                <sequence>
                    <element name="idUtente" nillable="true" type="xsd:string"/>
                    <element name="dataCreazione" nillable="true" type="xsd:dateTime"/>
                    <element name="dataArchiviazione" nillable="true" type="xsd:dateTime"/>
                    <element name="dataConservazione" nillable="true" type="xsd:dateTime"/>
                    <element name="numDocumenti" nillable="true" type="xsd:int"/>
                    <element name="stato" type="xsd:int"/>
                    <element name="idLotto" type="xsd:long"/>
                    <element name="idLottoAzienda" nillable="true" type="xsd:string"/>
                </sequence>
            </complexType>
            <complexType name="Filtro">
                <sequence>
                    <element name="id" nillable="true" type="xsd:string"/>
                    <element name="value" nillable="true" type="xsd:string"/>
                    <element name="values" nillable="true" type="xsd:string"/>
                    <element name="match" type="xsd:boolean"/>
                </sequence>
            </complexType>
            <complexType name="SearchResultSet">
                <sequence>
                    <element name="numPagine" type="xsd:int"/>
                    <element name="numTotRecords" type="xsd:int"/>
                </sequence>
            </complexType>
            <complexType name="AttrValue">
                <sequence>
                    <element name="values" nillable="true" type="impl:ArrayOf_xsd_string"/>
                </sequence>
            </complexType>
            <complexType name="InfoDocumento">
                <sequence>
                    <element name="idLotto" type="xsd:long"/>
                    <element name="id" nillable="true" type="xsd:string"/>
                    <element name="values" nillable="true" type="impl:ArrayOf_tns1_AttrValue"/>
                </sequence>
            </complexType>
            <complexType name="Documenti">
                <complexContent>
                    <extension base="tns1:SearchResultSet">
                        <sequence>
                            <element name="data" nillable="true" type="impl:ArrayOf_tns1_InfoDocumento"/>
                        </sequence>
                    </extension>
                </complexContent>
            </complexType>
            <complexType name="File">
                <sequence>
                    <element name="nome" nillable="true" type="xsd:string"/>
                    <element name="data" nillable="true" type="xsd:base64Binary"/>
                </sequence>
            </complexType>
            <complexType name="Documento">
                <sequence>
                    <element name="id" nillable="true" type="xsd:string"/>
                    <element name="archivio" nillable="true" type="tns1:File"/>
                </sequence>
            </complexType>
            <complexType name="ProfiloUtente">
                <sequence>
                    <element name="idProfilo" type="xsd:int"/>
                    <element name="descrizione" nillable="true" type="xsd:string"/>
                </sequence>
            </complexType>
            <complexType name="StatoMemoria">
                <sequence>
                    <element name="usedStorage" nillable="true" type="xsd:long"/>
                    <element name="year" nillable="true" type="xsd:string"/>
                    <element name="classeDocumentale" nillable="true" type="xsd:string"/>
                </sequence>
            </complexType>
            <complexType name="Lotti">
                <complexContent>
                    <extension base="tns1:SearchResultSet">
                        <sequence>
                            <element name="data" nillable="true" type="impl:ArrayOf_tns1_Lotto"/>
                        </sequence>
                    </extension>
                </complexContent>
            </complexType>
            <complexType name="Unita">
                <sequence>
                    <element name="nome" nillable="true" type="xsd:string"/>
                    <element name="nick" nillable="true" type="xsd:string"/>
                    <element name="codFiscale" nillable="true" type="xsd:string"/>
                    <element name="partitaIVA" nillable="true" type="xsd:string"/>
                    <element name="indirizzo" nillable="true" type="xsd:string"/>
                    <element name="localita" nillable="true" type="xsd:string"/>
                    <element name="provincia" nillable="true" type="xsd:string"/>
                    <element name="cap" nillable="true" type="xsd:string"/>
                    <element name="nazione" nillable="true" type="xsd:string"/>
                    <element name="maxUtenti" type="xsd:short"/>
                    <element name="quota" type="xsd:long"/>
                </sequence>
            </complexType>
            <complexType name="AdminUser">
                <sequence>
                    <element name="nomeUtente" nillable="true" type="xsd:string"/>
                    <element name="password" nillable="true" type="xsd:string"/>
                    <element name="email" nillable="true" type="xsd:string"/>
                    <element name="codiceFiscale" nillable="true" type="xsd:string"/>
                </sequence>
            </complexType>
        </schema>
        <schema xmlns="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified"
                targetNamespace="http://exception.gservices.postecom.it">
            <import namespace="urn:postecom"/>
            <import namespace="http://bean.service.postecom.it"/>
            <complexType name="PosteDocException">
                <sequence/>
            </complexType>
        </schema>
    </wsdl:types>
    <wsdl:message name="closeResponse">
        <wsdl:part element="impl:closeResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getUsedStorageByYearForTypeResponse">
        <wsdl:part element="impl:getUsedStorageByYearForTypeResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="insertUnitaResponse">
        <wsdl:part element="impl:insertUnitaResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getProfiliUtenteResponse">
        <wsdl:part element="impl:getProfiliUtenteResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getPaginaLottiRequest">
        <wsdl:part element="impl:getPaginaLotti" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getLottoAziendaResponse">
        <wsdl:part element="impl:getLottoAziendaResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getUsedStorageByYearResponse">
        <wsdl:part element="impl:getUsedStorageByYearResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="uploadResponse">
        <wsdl:part element="impl:uploadResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="setUserGrantRequest">
        <wsdl:part element="impl:setUserGrant" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getDescClasseDocumentaleRequest">
        <wsdl:part element="impl:getDescClasseDocumentale" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getLottoRequest">
        <wsdl:part element="impl:getLotto" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getProfiliUtenteRequest">
        <wsdl:part element="impl:getProfiliUtente" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getDescClasseDocumentaleResponse">
        <wsdl:part element="impl:getDescClasseDocumentaleResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="insertUnitaRequest">
        <wsdl:part element="impl:insertUnita" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getDocumentoFirmatoRequest">
        <wsdl:part element="impl:getDocumentoFirmato" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getUsedStorageByYearForTypeRequest">
        <wsdl:part element="impl:getUsedStorageByYearForType" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="insertUtenteResponse">
        <wsdl:part element="impl:insertUtenteResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="setUserGrantResponse">
        <wsdl:part element="impl:setUserGrantResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="PosteDocException">
        <wsdl:part element="impl:fault" name="fault"/>
    </wsdl:message>
    <wsdl:message name="closeRequest">
        <wsdl:part element="impl:close" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getPaginaLottiResponse">
        <wsdl:part element="impl:getPaginaLottiResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="insertUtenteRequest">
        <wsdl:part element="impl:insertUtente" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getFileNotificaResponse">
        <wsdl:part element="impl:getFileNotificaResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getLottoAziendaRequest">
        <wsdl:part element="impl:getLottoAzienda" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getPaginaDocumentiResponse">
        <wsdl:part element="impl:getPaginaDocumentiResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="createLottoResponse">
        <wsdl:part element="impl:createLottoResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getDocumentoRequest">
        <wsdl:part element="impl:getDocumento" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getDocumentoFirmatoResponse">
        <wsdl:part element="impl:getDocumentoFirmatoResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getUsedStorageByYearRequest">
        <wsdl:part element="impl:getUsedStorageByYear" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getLottoResponse">
        <wsdl:part element="impl:getLottoResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="uploadRequest">
        <wsdl:part element="impl:upload" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getPaginaDocumentiRequest">
        <wsdl:part element="impl:getPaginaDocumenti" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getFileNotificaRequest">
        <wsdl:part element="impl:getFileNotifica" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="createLottoRequest">
        <wsdl:part element="impl:createLotto" name="parameters"/>
    </wsdl:message>
    <wsdl:message name="getDocumentoResponse">
        <wsdl:part element="impl:getDocumentoResponse" name="parameters"/>
    </wsdl:message>
    <wsdl:portType name="PosteDocWS">
        <wsdl:operation name="close">
            <wsdl:input message="impl:closeRequest" name="closeRequest"/>
            <wsdl:output message="impl:closeResponse" name="closeResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getDescClasseDocumentale">
            <wsdl:input message="impl:getDescClasseDocumentaleRequest" name="getDescClasseDocumentaleRequest"/>
            <wsdl:output message="impl:getDescClasseDocumentaleResponse" name="getDescClasseDocumentaleResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getLottoAzienda">
            <wsdl:input message="impl:getLottoAziendaRequest" name="getLottoAziendaRequest"/>
            <wsdl:output message="impl:getLottoAziendaResponse" name="getLottoAziendaResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getPaginaDocumenti">
            <wsdl:input message="impl:getPaginaDocumentiRequest" name="getPaginaDocumentiRequest"/>
            <wsdl:output message="impl:getPaginaDocumentiResponse" name="getPaginaDocumentiResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getDocumentoFirmato">
            <wsdl:input message="impl:getDocumentoFirmatoRequest" name="getDocumentoFirmatoRequest"/>
            <wsdl:output message="impl:getDocumentoFirmatoResponse" name="getDocumentoFirmatoResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getProfiliUtente">
            <wsdl:input message="impl:getProfiliUtenteRequest" name="getProfiliUtenteRequest"/>
            <wsdl:output message="impl:getProfiliUtenteResponse" name="getProfiliUtenteResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getUsedStorageByYearForType">
            <wsdl:input message="impl:getUsedStorageByYearForTypeRequest" name="getUsedStorageByYearForTypeRequest"/>
            <wsdl:output message="impl:getUsedStorageByYearForTypeResponse" name="getUsedStorageByYearForTypeResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getUsedStorageByYear">
            <wsdl:input message="impl:getUsedStorageByYearRequest" name="getUsedStorageByYearRequest"/>
            <wsdl:output message="impl:getUsedStorageByYearResponse" name="getUsedStorageByYearResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getFileNotifica">
            <wsdl:input message="impl:getFileNotificaRequest" name="getFileNotificaRequest"/>
            <wsdl:output message="impl:getFileNotificaResponse" name="getFileNotificaResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getPaginaLotti">
            <wsdl:input message="impl:getPaginaLottiRequest" name="getPaginaLottiRequest"/>
            <wsdl:output message="impl:getPaginaLottiResponse" name="getPaginaLottiResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="createLotto">
            <wsdl:input message="impl:createLottoRequest" name="createLottoRequest"/>
            <wsdl:output message="impl:createLottoResponse" name="createLottoResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="insertUtente">
            <wsdl:input message="impl:insertUtenteRequest" name="insertUtenteRequest"/>
            <wsdl:output message="impl:insertUtenteResponse" name="insertUtenteResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="insertUnita">
            <wsdl:input message="impl:insertUnitaRequest" name="insertUnitaRequest"/>
            <wsdl:output message="impl:insertUnitaResponse" name="insertUnitaResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getDocumento">
            <wsdl:input message="impl:getDocumentoRequest" name="getDocumentoRequest"/>
            <wsdl:output message="impl:getDocumentoResponse" name="getDocumentoResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="setUserGrant">
            <wsdl:input message="impl:setUserGrantRequest" name="setUserGrantRequest"/>
            <wsdl:output message="impl:setUserGrantResponse" name="setUserGrantResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="upload">
            <wsdl:input message="impl:uploadRequest" name="uploadRequest"/>
            <wsdl:output message="impl:uploadResponse" name="uploadResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
        <wsdl:operation name="getLotto">
            <wsdl:input message="impl:getLottoRequest" name="getLottoRequest"/>
            <wsdl:output message="impl:getLottoResponse" name="getLottoResponse"/>
            <wsdl:fault message="impl:PosteDocException" name="PosteDocException"/>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="PosteDocWSSoapBinding" type="impl:PosteDocWS">
        <wsdlsoap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="close">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="closeRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="closeResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getDescClasseDocumentale">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getDescClasseDocumentaleRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getDescClasseDocumentaleResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getLottoAzienda">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getLottoAziendaRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getLottoAziendaResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getPaginaDocumenti">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getPaginaDocumentiRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getPaginaDocumentiResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getDocumentoFirmato">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getDocumentoFirmatoRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getDocumentoFirmatoResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getProfiliUtente">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getProfiliUtenteRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getProfiliUtenteResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getUsedStorageByYearForType">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getUsedStorageByYearForTypeRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getUsedStorageByYearForTypeResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getUsedStorageByYear">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getUsedStorageByYearRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getUsedStorageByYearResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getFileNotifica">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getFileNotificaRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getFileNotificaResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getPaginaLotti">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getPaginaLottiRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getPaginaLottiResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="createLotto">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="createLottoRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="createLottoResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="insertUtente">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="insertUtenteRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="insertUtenteResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="insertUnita">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="insertUnitaRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="insertUnitaResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getDocumento">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getDocumentoRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getDocumentoResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="setUserGrant">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="setUserGrantRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="setUserGrantResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="upload">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="uploadRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="uploadResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="getLotto">
            <wsdlsoap:operation soapAction=""/>
            <wsdl:input name="getLottoRequest">
                <wsdlsoap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getLottoResponse">
                <wsdlsoap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="PosteDocException">
                <wsdlsoap:fault name="PosteDocException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="PosteDocWSService">
        <wsdl:port binding="impl:PosteDocWSSoapBinding" name="PosteDocWS">
            <wsdlsoap:address
                    location="https://vm-newgestn-fe.test.postecom.local:444/postedoc-ws/services/PosteDocWS"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>